# Contributing to OOPS-WP
The goal of this project is to provide a set of reusable structures
that engineers can leverage when developing new plugins and themes
for WordPress. We want this library to be as flexible as possible
for any use cases that might come up in future projects.

If you have an idea for a new data structure that OOPS-WP does not
yet support, please consider [opening an issue](https://github.com/WebDevStudios/oops-wp/issues)
in the GitHub repo, indicating what kind of structure is needed, an
example of how that structure would be used, and where you think it
fits into the project. Together, we can discuss its potential usage,
propose naming conventions, and make other determinations that can
guide the development of that structure.

Once development is approved, scaffolding up a new a new structure
should be relatively quick, and will be subject to a code review
process. Eventually, the new structure will be merged into the project,
a new release will be tagged, and that structure will be made available
in future projects.
